<div *ngIf="clientFormService.showForm" id="client-form-wrap">

    <form *ngIf="clientFormService.formAdd" name="add-client-form" id="add-client-form"
          #clientForm="ngForm" (ngSubmit)="createClient()" class="client-form">

        <div class="form-title">
            <h2 class="border-title">Voeg een cliënt toe</h2>
        </div>
        <div class="form-group">
            <label for="first-name">Naam</label>
            <input matInput autofocus id="first-name" type="text" name="firstName"
                   required [(ngModel)]="client.firstName" #firstName="ngModel" required minlength="1"/>
            <div *ngIf="firstName.invalid && (firstName.dirty || firstName.touched || submitted)" class="error"></div>
            <div *ngIf="firstName.valid && (firstName.touched || submitted)" class="checked"></div>
        </div>
        <div class="form-group">
            <label for="preposition">Tussenvoegsel</label>
            <input id="preposition" type="text" name="preposition"
                   required [(ngModel)]="client.preposition" #preposition="ngModel" />
        </div>
        <div class="form-group">
            <label for="last-name">Achternaam</label>
            <input id="last-name" type="text" name="lastName"
                   required [(ngModel)]="client.lastName" #lastName="ngModel" />
            <div *ngIf="lastName.invalid && (lastName.dirty || lastName.touched || submitted)" class="error"></div>
            <div *ngIf="lastName.valid && (lastName.touched || submitted)" class="checked"></div>
        </div>
        <div class="form-group birthdate-group">
            <label for="select-birthdate">Geboortedatum</label>
            <input type="date" id="select-birthdate" name="birthDate" value="1980-01-01" min="1980-01-01" max="2017-04-30"
                   required [(ngModel)]="client.birthDate" #birthDate="ngModel" />
            <div *ngIf="birthDate.invalid && (birthDate.dirty || birthDate.touched || submitted)" class="error"></div>
            <div *ngIf="birthDate.valid && (birthDate.touched || submitted)" class="checked"></div>
        </div>
        <div class="form-group">
            <label for="weight">Gewicht</label>
            <input type="text" id="weight" name="weight"
                   required [(ngModel)]="client.weight" #weight="ngModel" />
            <div *ngIf="weight.invalid && (weight.dirty || weight.touched || submitted)" class="error"></div>
            <div *ngIf="weight.valid && (weight.touched || submitted)" class="checked"></div>
        </div>
        <div class="form-group">
            <label>Geslacht</label>
            <input type="radio" name="gender" value="M" #gender="ngModel" required [(ngModel)]="client.gender">
            <span>Man</span>
            <input type="radio" name="gender" value="V" #gender="ngModel" required [(ngModel)]="client.gender">
            <span>Vrouw</span>
            <div *ngIf="!client.gender && (gender.dirty || gender.touched || submitted)" class="error"></div>
            <div *ngIf="client.gender && (gender.touched || submitted)" class="checked"></div>
        </div>
        <div class="form-group">
            <input type="checkbox" name="active" value="true" required [(ngModel)]="client.active" #active="ngModel" />
            Actieve cliënt
        </div>
        <input hidden id="add-coach-id" name="coachId" type="text" class="form-control" required [(ngModel)]="client.coachId" #coachId="ngModel" />
        <div class="form-group">
            <input type="submit" class="button client-submit" value="Sla cliënt op" />
        </div>
        <button type="button" class="button close-button close-client-form" (click)="closeForm()">
            <i class="material-icons">close</i>
        </button>
    </form>

    <form *ngIf="clientFormService.formEdit" name="edit-client-form" id="edit-client-form"
    #clientForm="ngForm" (ngSubmit)="updateClient()" class="client-form">

        <div class="form-title">
            <h2 class="border-title">Pas deze cliënt aan</h2>
        </div>
        <div class="form-group">
            <label for="first-name">Naam</label>
            <input id="edit-first-name" type="text" name="firstName" class="form-control" required [(ngModel)]="selectedClient.firstName" #firstName="ngModel" />
            <div *ngIf="firstName.invalid && (firstName.dirty || firstName.touched || submitted)" class="error"></div>
            <div *ngIf="firstName.valid && (firstName.touched || submitted)" class="checked"></div>
        </div>
        <div class="form-group">
            <label for="preposition">Tussenvoegsel</label>
            <input id="edit-preposition" type="text" name="preposition" class="form-control" required [(ngModel)]="selectedClient.preposition" #preposition="ngModel" />
        </div>
        <div class="form-group">
            <label for="last-name">Achternaam</label>
            <input id="edit-last-name" type="text" name="lastName" class="form-control" required [(ngModel)]="selectedClient.lastName" #lastName="ngModel" />
            <div *ngIf="lastName.invalid && (lastName.dirty || lastName.touched || submitted)" class="error"></div>
            <div *ngIf="lastName.valid && (lastName.touched || submitted)" class="checked"></div>
        </div>
        <div class="form-group birthdate-group">
            <label for="select-birthdate">Geboortedatum</label>
            <input type="date" id="edit-select-birthdate" name="birthDate" required [(ngModel)]="selectedClient.birthDate" #birthDate="ngModel" />
            <div *ngIf="birthDate.invalid && (birthDate.dirty || birthDate.touched || submitted)" class="error"></div>
            <div *ngIf="birthDate.valid && (birthDate.touched || submitted)" class="checked"></div>
        </div>
        <div class="form-group">
            <label for="weight">Gewicht</label>
            <input type="text" id="edit-weight" name="weight" required [(ngModel)]="selectedClient.weight" #weight="ngModel" />
            <div *ngIf="weight.invalid && (weight.dirty || weight.touched || submitted)" class="error"></div>
            <div *ngIf="weight.valid && (weight.touched || submitted)" class="checked"></div>
        </div>
        <div class="form-group">
            <label>Geslacht</label>
            <input type="radio" name="gender" [checked]="selectedClient.gender == 'M'" value="M">
            <span>Man</span>
            <input type="radio" name="gender" [checked]="selectedClient.gender == 'V'" value="V">
            <span>Vrouw</span>
            <div *ngIf="!selectedClient.gender && (weight.dirty || weight.touched || submitted)" class="error"></div>
            <div *ngIf="selectedClient.gender && (weight.touched || submitted)" class="checked"></div>
        </div>
        <div class="form-group">
            <input type="checkbox" name="active" required [(ngModel)]="selectedClient.active"
                   #active="ngModel">
            Actieve cliënt
        </div>
        <input hidden id="coach-id" name="coachId" type="text" class="form-control" required [(ngModel)]="selectedClient.coachId" #coachId="ngModel" />

        <div class="form-group">
            <input type="submit" class="button client-submit" value="Sla cliënt op" />
        </div>
        <button type="button" class="button close-button close-client-form" (click)="closeForm()">
            <i class="material-icons">close</i>
        </button>
    </form>

</div>
